Get a fact-find request [DEPRECATED: Use the v2 fact-find session routes]
Deprecated
Run in API Explorer
Ask AI
GET
/api/v1/fact-find/request/{factFindRequest_uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/fact-find/request/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "de4a1ceb-126d-487a-a73a-7a8b2b286195",
"created_at": "2026-11-19T12:59:39+00:00",
"updated_at": "2026-11-19T12:59:39+00:00",
"status": "complete",
"completed_at": "2026-11-14T12:59:39+00:00",
"invitation_text": "Please complete this fact find!",
"schema": {
"uuid": "f1dada16-945c-4a81-97a0-5e6f5b6c4ec7",
"created_at": "2026-11-19T12:59:39+00:00",
"updated_at": "2026-11-19T12:59:39+00:00",
"archived_at": "2026-11-18T12:59:39+00:00",
"is_archived": false,
"name": "Default fact find",
"introduction_html": "Welcome to our fact find! <b>You can use some HTML too.</b>",
"sections_count": 5,
"public_url": "https://api.plannrcrm.com/fact-find/68a2f2d4-3eea-4dc5-a0a5-c81a25897d46"
},
"latest_file": {
"uuid": "ce477742-9392-4da5-9eef-64260e6b6142",
"created_at": "2026-11-19T12:59:39+00:00",
"original_created_at": "2026-11-19T12:59:39+00:00",
"updated_at": "2026-11-19T12:59:39+00:00",
"uploaded_at": "2026-11-19T12:59:39+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-11-19T12:59:39+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/5f3ae63c-b601-4b67-a5a6-f214848736a7/download",
"preview_url": "https://api.plannrcrm.com/file/150635bf-5fc8-40b7-9a5e-52eee8389ce1/preview",
"folder_name": "folder 2",
"folder": {
"uuid": "c8984b81-4771-442e-9cc9-4fbf52b76874",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "332667d3-f6c9-40e0-856a-cd3ea35349f9"
},
"firm": {
"uuid": "c05c457c-44e7-42c1-ad1a-4ed000be02d1",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "a3539a4a-f520-4f84-bcb6-f3960a6b68a1",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"tags": {
"uuid": "b6fd695a-d098-4624-81ab-a5b81faee37c",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
},
"account": {
"uuid": "c9823f1f-9236-4981-aa84-72413894ec7c",
"created_at": "2026-11-19T12:59:39+00:00",
"updated_at": "2026-11-19T12:59:39+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "c9ff37a3-269e-4b25-b9df-3d0865c60180",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"invitation_url": "https://api.plannrcrm.com/fact-find/fbd042cf-ba73-41e1-babd-9e039b00f143/dca3dbd9-1680-4199-8037-3fb60d6b393e",
"fact_find_passes": {
"uuid": "bb2785c2-f588-4a31-9ad5-02e99692798e",
"created_at": "2026-11-19T12:59:39+00:00",
"updated_at": "2026-11-19T12:59:39+00:00",
"firm": {
"uuid": "770ef576-d127-4191-abb5-ed18be1abea2",
"name": "Codepotato Ltd"
},
"account": {
"uuid": "a3539a4a-f520-4f84-bcb6-f3960a6b68a1",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"circle": {
"uuid": "f52f8f5b-c861-47cd-a543-7b7f4524f422",
"name": "The Codepotato Gang"
},
"expires_at": "2026-11-19T12:59:39+00:00",
"progress": 50,
"is_complete": false,
"completed_sections": 2
}
}